.kontakt_body {
    padding: 10% 0 0 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
}
.kontakt_header {
    width: 30%;
    display: flex;
}
.kontakt_header h2 {
    color: var(--secondary-text-color);
    margin: 2% 3% 0 0;
}
/* Basic styling für messages */
.messages {
    max-width: 600px;
    margin: 0 auto 20px;
    padding: 10px;
}
.error-message {
    color: #d8000c;
    background-color: #ffd2d2;
    padding: 10px;
    border-radius: 4px;
}
.success-message {
    color: #1e7e34;
    background-color: #d4edda;
    padding: 10px;
    border-radius: 4px;
}
/* Basic styling für Formular */
#idKontakt_form_body {
    width: 30%;
    margin: 0 2%;
}
.formular_body {
    display: flex;
    flex-direction: column;
    gap: 20px;
}
#idKontakt_absender_email, #idKontakt_nachname, #idKontakt_betreff, #idKontakt_nachricht {
    box-sizing: border-box;
    padding: 5px;
    font-family: 'Kodchasan';
    font-size: clamp(1rem, 1vw + 0.2rem, 1.3rem);
    border: 4px solid white;
    border-radius: 0px 15px 0px 15px;
}
#idKontakt_nachname {
    display: none;
}
.kontakt_ds {
    display: flex;
    padding-left: 15px;
}
#idKontakt_DS_akzept {
    display: flex;
}
#idLabel_kontakt_ds_akzept {
    font-size: clamp(0.8rem, 0.5vw + 0.5rem, 1.1rem);
    padding-left: 15px;
}
#idLabel_kontakt_ds_akzept a {
    color: var(--secondary-text-color);
    transition: 200ms ease-in;
}
#idLabel_kontakt_ds_akzept a:hover {
    letter-spacing: 2px;
}
#idKontakt_absenden_btn {
    font-family: 'Orbitron';
    padding: 15px;
    background-color: var(--secondary-bg-color);
    color: var(--primary-text-color); 
    font-size: clamp(0.9rem, 1vw + 0.1rem, 1.2rem);
    letter-spacing: 1px;
    border: none;
    border-radius: 0px 50px 50px;
    cursor: not-allowed;
    transition: 0.4s ease-in-out;
}
#idKontakt_absenden_btn:hover {
    background-color: var(--secondary-text-color);
    color: var(--secondary-bg-color);
}
#idKontakt_absenden_btn.btn-enabled {
    cursor: pointer;
}

@media(max-width: 800px) {
    .kontakt_body {
        width: 100%;
        /* padding: 10% 0 0 0; */
        flex-direction: column;
    }
    .kontakt_header {
        width: 85%;
        flex-direction: column;
        text-align: left;
        margin: 0 auto;
    }
    .kontakt_header h2 {
        margin: 3% 0;
    }
    #idKontakt_form_body {
        width: 65%;
        margin: 5% auto;
    }
    #idKontakt_absender_email, #idKontakt_nachname, #idKontakt_betreff, #idKontakt_nachricht {
        padding: 10px;
    }
    #idKontakt_absenden_btn {
        background-color: var(--secondary-text-color);
        color: var(--primary-text-color);
        font-weight: 600;
        box-shadow:
                inset 0 0 5px var(--primary-text-color),
                inset 2px 0 5px var(--primary-text-color),
                inset -5px 0 5px var(--secondary-text-color),
                0 0 5px var(--primary-text-color),
                -5px 0 10px var(--secondary-text-color),
                5px 0 10px var(--secondary-text-color);
        margin-bottom: 20px;
        margin-bottom: 20px;
    }
    .messages {
        max-width: 85%;
    }
}
@media (max-width:480px) {
    #idKontakt_form_body {
        width: 85%;
    }
}